org.appng.xml.application

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - org.appng.xml.application.PropertyType

- All Implemented Interfaces:
    Serializable, Comparable<PropertyType>

      public enum PropertyType
      extends Enum<PropertyType>

  Java class for propertyType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="propertyType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="int"/>
           <enumeration value="decimal"/>
           <enumeration value="boolean"/>
           <enumeration value="text"/>
           <enumeration value="password"/>
           <enumeration value="multiline"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `DECIMAL`
    `INT`
    `MULTILINE`
    `PASSWORD`
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyType` | `fromValue(String v)`
    `String` | `value()`
    `static PropertyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final PropertyType INT

    - #### DECIMAL

          public static final PropertyType DECIMAL

    - #### BOOLEAN

          public static final PropertyType BOOLEAN

    - #### TEXT

          public static final PropertyType TEXT

    - #### PASSWORD

          public static final PropertyType PASSWORD

    - #### MULTILINE

          public static final PropertyType MULTILINE

  - ### Method Detail

    - #### values

          public static PropertyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyType c : PropertyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static PropertyType fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.